<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension-point id="extensions" name="%extensions" schema="schema/extensions.exsd"/>
   <extension
         id="twisterExtensions"
         name="Mandelbrot Standard Extensions"
         point="net.sf.jame.twister.extensions">
      <image
            configClass="net.sf.jame.mandelbrot.extensions.image.MandelbrotImageConfig"
            id="twister.frame.layer.image.mandelbrot"
            name="Mandelbrot Fractal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.image.MandelbrotImageRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.image.mandelbrot"
            name="Mandelbrot Fractal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.image.MandelbrotImageConfigXMLImporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.image.mandelbrot"
            name="Mandelbrot Fractal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.image.MandelbrotImageConfigXMLExporterRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.image.mandelbrot"
            name="Mandelbrot Fractal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.image.MandelbrotImageConfigNodeBuilderRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.color.renderer.sin"
            name="Sin"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.SINConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.color.renderer.cos"
            name="Cos"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.COSConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.color.renderer.constant"
            name="Constant"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.ConstantConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.palette.renderer.default"
            name="Default"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.DefaultRendererConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.palette.renderer.grayGradient"
            name="GrayGradient"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.GrayGradientRendererConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.z2"
            name="Z2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z2ConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.z3"
            name="Z3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z3ConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.z4"
            name="Z4"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z4ConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.z5"
            name="Z5"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z5ConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.zn"
            name="ZN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.ZNConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.cosz"
            name="cosz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.COSZConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.sinz"
            name="sinz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.SINZConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.expz"
            name="expz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.EXPZConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.magnetism1"
            name="Magnetism1"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM1ConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.magnetism2"
            name="Magnetism2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM2ConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.rendering.formula.newton3"
            name="Newton3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.NEWTON3ConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.transforming.formula.z"
            name="Z"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.ZConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.transforming.formula.y"
            name="Y"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.YConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.transforming.formula.u"
            name="u"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.UConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.transforming.formula.h"
            name="H"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.HConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.incolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ColorConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.incolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.BinaryConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.incolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ModulusConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.incolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.PhaseConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.incolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.incolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalTrueColorConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ColorConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.potential"
            name="Potential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PotentialConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalTrueColorConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.binaryAndPotential"
            name="BinaryAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryAndPotentialConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.modulusAndPotential"
            name="ModulusAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusAndPotentialConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.mandelbrot.fractal.outcolouring.formula.phaseAndPotential"
            name="PhaseAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseAndPotentialConfigXMLImporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.color.renderer.sin"
            name="Sin"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.SINConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.color.renderer.cos"
            name="Cos"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.COSConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.color.renderer.constant"
            name="Constant"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.ConstantConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.palette.renderer.default"
            name="Default"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.DefaultRendererConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.palette.renderer.grayGradient"
            name="GrayGradient"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.GrayGradientRendererConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.z2"
            name="Z2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z2ConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.z3"
            name="Z3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z3ConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.z4"
            name="Z4"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z4ConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.z5"
            name="Z5"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z5ConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.zn"
            name="ZN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.ZNConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.cosz"
            name="cosz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.COSZConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.sinz"
            name="sinz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.SINZConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.expz"
            name="expz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.EXPZConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.magnetism1"
            name="Magnetism1"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM1ConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.magnetism2"
            name="Magnetism2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM2ConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.rendering.formula.newton3"
            name="Newton3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.NEWTON3ConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.transforming.formula.z"
            name="Z"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.ZConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.transforming.formula.y"
            name="Y"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.YConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.transforming.formula.u"
            name="u"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.UConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.transforming.formula.h"
            name="H"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.HConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.incolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ColorConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.incolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.BinaryConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.incolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ModulusConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.incolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.PhaseConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.incolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.incolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalTrueColorConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ColorConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.potential"
            name="Potential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PotentialConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalTrueColorConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.binaryAndPotential"
            name="BinaryAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryAndPotentialConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.modulusAndPotential"
            name="ModulusAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusAndPotentialConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.mandelbrot.fractal.outcolouring.formula.phaseAndPotential"
            name="PhaseAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseAndPotentialConfigXMLExporterRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.color.renderer.sin"
            name="Sin"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.SINConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.color.renderer.cos"
            name="Cos"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.COSConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.color.renderer.constant"
            name="Constant"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.ConstantConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.palette.renderer.default"
            name="Default"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.DefaultRendererConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.palette.renderer.grayGradient"
            name="GrayGradient"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.GrayGradientRendererConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.z2"
            name="Z2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z2ConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.z3"
            name="Z3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z3ConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.z4"
            name="Z4"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z4ConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.z5"
            name="Z5"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z5ConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.zn"
            name="ZN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.ZNConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.cosz"
            name="cosz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.COSZConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.sinz"
            name="sinz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.SINZConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.expz"
            name="expz"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.EXPZConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.magnetism1"
            name="Magnetism1"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM1ConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.magnetism2"
            name="Magnetism2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM2ConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.rendering.formula.newton3"
            name="Newton3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.NEWTON3ConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.transforming.formula.z"
            name="Z"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.ZConfigNodeBuilder"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.transforming.formula.y"
            name="Y"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.YConfigNodeBuilder"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.transforming.formula.u"
            name="u"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.UConfigNodeBuilder"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.transforming.formula.h"
            name="H"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.HConfigNodeBuilder"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.incolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ColorConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.incolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.BinaryConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.incolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ModulusConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.incolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.PhaseConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.incolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.incolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalTrueColorConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ColorConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.potential"
            name="Potential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PotentialConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalTrueColorConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.binaryAndPotential"
            name="BinaryAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryAndPotentialConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.modulusAndPotential"
            name="ModulusAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusAndPotentialConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.mandelbrot.fractal.outcolouring.formula.phaseAndPotential"
            name="PhaseAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseAndPotentialConfigNodeBuilderRuntime"/>
      <actionXMLExporter
            id="node.class.IterationsElement"
            name="IterationsElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IterationsNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ThresholdElement"
            name="ThresholdElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ThresholdNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ExponentElement"
            name="ExponentElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ExponentNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.RenderedPaletteElement"
            name="RenderedPaletteElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.RenderedPaletteNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.RenderingFormulaElement"
            name="RenderingFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.RenderingFormulaNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.TransformingFormulaElement"
            name="TransformingFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.TransformingFormulaNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.IncolouringFormulaElement"
            name="IncolouringFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IncolouringFormulaNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.OutcolouringFormulaElement"
            name="OutcolouringFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.OutcolouringFormulaNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.RenderingFormulaReference"
            name="RenderingFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.RenderingFormulaReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.TransformingFormulaReference"
            name="TransformingFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.TransformingFormulaReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.IncolouringFormulaReference"
            name="IncolouringFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IncolouringFormulaReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.OutcolouringFormulaReference"
            name="OutcolouringFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.OutcolouringFormulaReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.IncolouringFormulaElementList"
            name="IncolouringFormulaElementList"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IncolouringFormulaListNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.OutcolouringFormulaElementList"
            name="OutcolouringFormulaElementList"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.OutcolouringFormulaListNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.PaletteRendererElement"
            name="PaletteRendererElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ColorRendererElement"
            name="ColorRendererElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.PaletteRendererFormulaElement"
            name="PaletteRendererFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererFormulaNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ColorRendererFormulaElement"
            name="ColorRendererFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererFormulaNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.PaletteRendererReference"
            name="PaletteRendererReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ColorRendererReference"
            name="ColorRendererReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.PaletteRendererFormulaReference"
            name="PaletteRendererFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererFormulaReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ColorRendererFormulaReference"
            name="ColorRendererFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererFormulaReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLImporter
            id="node.class.IterationsElement"
            name="IterationsElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IterationsNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ThresholdElement"
            name="ThresholdElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ThresholdNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ExponentElement"
            name="ExponentElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ExponentNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.RenderedPaletteElement"
            name="RenderedPaletteElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.RenderedPaletteNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.RenderingFormulaElement"
            name="RenderingFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.RenderingFormulaNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.TransformingFormulaElement"
            name="TransformingFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.TransformingFormulaNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.IncolouringFormulaElement"
            name="IncolouringFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IncolouringFormulaNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.OutcolouringFormulaElement"
            name="OutcolouringFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.OutcolouringFormulaNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.RenderingFormulaReference"
            name="RenderingFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.RenderingFormulaReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.TransformingFormulaReference"
            name="TransformingFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.TransformingFormulaReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.IncolouringFormulaReference"
            name="IncolouringFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IncolouringFormulaReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.OutcolouringFormulaReference"
            name="OutcolouringFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.OutcolouringFormulaReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.IncolouringFormulaElementList"
            name="IncolouringFormulaElementList"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.IncolouringFormulaListNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.OutcolouringFormulaElementList"
            name="OutcolouringFormulaElementList"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.OutcolouringFormulaListNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.PaletteRendererElement"
            name="PaletteRendererElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ColorRendererElement"
            name="ColorRendererElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.PaletteRendererFormulaElement"
            name="PaletteRendererFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererFormulaNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ColorRendererFormulaElement"
            name="ColorRendererFormulaElement"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererFormulaNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.PaletteRendererReference"
            name="PaletteRendererReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ColorRendererReference"
            name="ColorRendererReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.PaletteRendererFormulaReference"
            name="PaletteRendererFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.PaletteRendererFormulaReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ColorRendererFormulaReference"
            name="ColorRendererFormulaReference"
            runtimeClass="net.sf.jame.mandelbrot.extensions.action.ColorRendererFormulaReferenceNodeActionXMLImporterRuntime"/>
   </extension>
   <extension
         id="mandelbrotExtensions"
         name="Mandelbrot Standard Extensions"
         point="net.sf.jame.mandelbrot.extensions">
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z2Config"
            id="twister.mandelbrot.fractal.rendering.formula.z2"
            name="Z2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z2Runtime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z3Config"
            id="twister.mandelbrot.fractal.rendering.formula.z3"
            name="Z3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z3Runtime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z4Config"
            id="twister.mandelbrot.fractal.rendering.formula.z4"
            name="Z4"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z4Runtime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z5Config"
            id="twister.mandelbrot.fractal.rendering.formula.z5"
            name="Z5"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.Z5Runtime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.ZNConfig"
            id="twister.mandelbrot.fractal.rendering.formula.zn"
            name="ZN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.ZNRuntime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.COSZConfig"
            id="twister.mandelbrot.fractal.rendering.formula.cosz"
            name="COSZ"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.COSZRuntime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.SINZConfig"
            id="twister.mandelbrot.fractal.rendering.formula.sinz"
            name="SINZ"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.SINZRuntime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.EXPZConfig"
            id="twister.mandelbrot.fractal.rendering.formula.expz"
            name="EXPZ"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.EXPZRuntime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM1Config"
            id="twister.mandelbrot.fractal.rendering.formula.magnetism1"
            name="MAGNETISM1"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM1Runtime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM2Config"
            id="twister.mandelbrot.fractal.rendering.formula.magnetism2"
            name="MAGNETISM2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.MAGNETISM2Runtime"/>
      <renderingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.NEWTON3Config"
            id="twister.mandelbrot.fractal.rendering.formula.newton3"
            name="NEWTON3"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.rendering.NEWTON3Runtime"/>
      <transformingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.ZConfig"
            id="twister.mandelbrot.fractal.transforming.formula.z"
            name="Z"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.ZRuntime"/>
      <transformingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.YConfig"
            id="twister.mandelbrot.fractal.transforming.formula.y"
            name="Y"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.YRuntime"/>
      <transformingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.UConfig"
            id="twister.mandelbrot.fractal.transforming.formula.u"
            name="U"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.URuntime"/>
      <transformingFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.HConfig"
            id="twister.mandelbrot.fractal.transforming.formula.h"
            name="H"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.transforming.HRuntime"/>
      <incolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ColorConfig"
            id="twister.mandelbrot.fractal.incolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ColorRuntime"/>
      <incolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.BinaryConfig"
            id="twister.mandelbrot.fractal.incolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.BinaryRuntime"/>
      <incolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ModulusConfig"
            id="twister.mandelbrot.fractal.incolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.ModulusRuntime"/>
      <incolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.PhaseConfig"
            id="twister.mandelbrot.fractal.incolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.PhaseRuntime"/>
      <incolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalConfig"
            id="twister.mandelbrot.fractal.incolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalRuntime"/>
      <incolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalTrueColorConfig"
            id="twister.mandelbrot.fractal.incolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.incolouring.UniversalTrueColorRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ColorConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.color"
            name="Color"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ColorRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.binary"
            name="Binary"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PotentialConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.potential"
            name="Potential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PotentialRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.universal"
            name="Universal"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalTrueColorConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.universalTrueColor"
            name="UniversalTrueColor"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.UniversalTrueColorRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryAndPotentialConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.binaryAndPotential"
            name="BinaryAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.BinaryAndPotentialRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusAndPotentialConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.modulusAndPotential"
            name="ModulusAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.ModulusAndPotentialRuntime"/>
      <outcolouringFormula
            configClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseAndPotentialConfig"
            id="twister.mandelbrot.fractal.outcolouring.formula.phaseAndPotential"
            name="PhaseAndPotential"
            runtimeClass="net.sf.jame.mandelbrot.extensions.fractal.outcolouring.PhaseAndPotentialRuntime"/>
      <paletteRenderer
            configClass="net.sf.jame.mandelbrot.extensions.palette.DefaultRendererConfig"
            id="twister.mandelbrot.palette.renderer.default"
            name="Default"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.DefaultRendererRuntime"/>
      <paletteRenderer
            configClass="net.sf.jame.mandelbrot.extensions.palette.GrayGradientRendererConfig"
            id="twister.mandelbrot.palette.renderer.grayGradient"
            name="GrayGradient"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.GrayGradientRendererRuntime"/>
      <colorRenderer
            configClass="net.sf.jame.mandelbrot.extensions.color.SINConfig"
            id="twister.mandelbrot.color.renderer.sin"
            name="SIN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.SINRuntime"/>
      <colorRenderer
            configClass="net.sf.jame.mandelbrot.extensions.color.COSConfig"
            id="twister.mandelbrot.color.renderer.cos"
            name="COS"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.COSRuntime"/>
      <colorRenderer
            configClass="net.sf.jame.mandelbrot.extensions.color.ConstantConfig"
            id="twister.mandelbrot.color.renderer.constant"
            name="Constant"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.ConstantRuntime"/>
      <paletteRendererFormula
            id="twister.mandelbrot.palette.renderer.formula.lin"
            name="LIN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.formula.LINRuntime"/>
      <paletteRendererFormula
            id="twister.mandelbrot.palette.renderer.formula.log"
            name="LOG"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.formula.LOGRuntime"/>
      <paletteRendererFormula
            id="twister.mandelbrot.palette.renderer.formula.bin"
            name="BIN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.formula.BINRuntime"/>
      <paletteRendererFormula
            id="twister.mandelbrot.palette.renderer.formula.sin"
            name="SIN"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.formula.SINRuntime"/>
      <paletteRendererFormula
            id="twister.mandelbrot.palette.renderer.formula.cos"
            name="COS"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.formula.COSRuntime"/>
      <paletteRendererFormula
            id="twister.mandelbrot.palette.renderer.formula.sqr"
            name="SQR"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.formula.SQRRuntime"/>
      <paletteRendererFormula
            id="twister.mandelbrot.palette.renderer.formula.sqrt"
            name="SQRT"
            runtimeClass="net.sf.jame.mandelbrot.extensions.palette.formula.SQRTRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.time"
            name="Time"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.TimeRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.zr"
            name="ZR"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.ZRRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.zi"
            name="ZI"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.ZIRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.szrzi"
            name="SZRZI"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.SZRZIRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.szr2zi2"
            name="SZR2ZI2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.SZR2ZI2Runtime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.szizr"
            name="SZIZR"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.SZIZRRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.szi2zr2"
            name="SZI2ZR2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.SZI2ZR2Runtime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.modulus"
            name="Modulus"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.ModulusRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.phase"
            name="Phase"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.PhaseRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.log"
            name="Log"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.LogRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.mzrzr"
            name="MZRZR"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.MZRZRRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.mzizi"
            name="MZIZI"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.MZIZIRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.mzrzi"
            name="MZRZI"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.MZRZIRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.azrzr"
            name="AZRZR"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.AZRZRRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.azizi"
            name="AZIZI"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.AZIZIRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.azrzi"
            name="AZRZI"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.AZRZIRuntime"/>
      <colorRendererFormula
            id="twister.mandelbrot.color.renderer.formula.azr2zi2"
            name="AZR2ZI2"
            runtimeClass="net.sf.jame.mandelbrot.extensions.color.formula.AZR2ZI2Runtime"/>
   </extension>

</plugin>
